<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:dubbo="http://code.alibabatech.com/schema/dubbo"
       xmlns:context="http://www.springframework.org/schema/context"
       xsi:schemaLocation="http://www.springframework.org/schema/beans 
       http://www.springframework.org/schema/beans/spring-beans-2.5.xsd
       http://www.springframework.org/schema/context
       http://www.springframework.org/schema/context/spring-context.xsd
       http://code.alibabatech.com/schema/dubbo http://code.alibabatech.com/schema/dubbo/dubbo.xsd">

	<context:component-scan base-package="com.gic.haoban"/>
	<!-- 应用名称 -->
	<dubbo:application name="haoban-manage3-web"/>

	<dubbo:protocol name="dubbo" port="30009"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.OpenStaffApiService" id="openStaffApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.WxEnterpriseActiveDataApiService" id="wxEnterpriseActiveDataApiService" timeout="10000"/>
	<dubbo:reference interface="com.gic.enterprise.api.service.DownloadReportService" id="downloadReportService" timeout="10000"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.chat.GroupChatDataApiService" id="groupChatDataApiService" timeout="10000"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.chat.GroupChatPlanApiService" id="groupChatPlanApiService" timeout="10000"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.chat.GroupChatApiService" id="groupChatApiService" timeout="10000"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.chat.GroupChatHmApiService" id="groupChatHmApiService" timeout="10000"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.QwFriendApiService" id="qwFriendApiService"	 timeout="10000"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.hm.WxUserAddLogApiService" id="wxUserAddLogApiService"	 timeout="10000"/>
	<dubbo:reference interface="com.gic.member.tag.api.service.MemberTagApiService" id="memberTagApiService"	 timeout="10000"/>
	<dubbo:reference interface="com.gic.clerk.api.service.PowerService" id="powerService"	 timeout="10000"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.HaobanUserApiService" id="haobanUserApiService"	 timeout="10000"/>
	<dubbo:reference interface="com.gic.clerk.api.service.RightService" id="rightService"	 timeout="10000"/>
	<dubbo:reference interface="com.gic.clerk.api.service.UserService" id="userService"	 timeout="10000"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.StaffApiService" id="staffApiService"
					 timeout="15000"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.StaffClerkRelationApiService"
					 id="staffClerkRelationApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.WxEnterpriseRelatedApiService"
					 id="wxEnterpriseRelatedApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.ApplicationApiService" id="applicationApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.WxEnterpriseApiService" id="wxEnterpriseApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.ClerkMainStoreRelatedApiService"
					 id="clerkMainStoreRelatedApiService"/>


	<dubbo:reference interface="com.gic.enterprise.api.service.EnterpriseService" id="enterpriseService"/>

	<dubbo:reference interface="com.gic.enterprise.api.service.StoreService" id="storeService"/>
	<dubbo:reference interface="com.gic.enterprise.api.service.DepartmentService" id="departmentService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.DepartmentApiService" id="departmentApiService">
		<dubbo:method name="initwxDepartment" async="true"/>
	</dubbo:reference>
	<dubbo:reference interface="com.gic.enterprise.api.service.StoreGroupService" id="storeGroupService"
					 timeout="20000"/>
	
	<dubbo:reference interface="com.gic.clerk.api.service.ClerkService" id="clerkService"/>
	<dubbo:reference interface="com.gic.clerk.api.service.ClerkNewService" id="clerkNewService"/>
	
	<dubbo:reference interface="com.gic.haoban.manage.api.service.StaffDepartmentRelatedApiService" id="staffDepartmentRelatedApiService"/>
	<dubbo:reference interface="com.gic.wechat.api.service.qywx.QywxCorpApiService" id="qywxCorpApiService"/>
	<dubbo:reference interface="com.gic.dict.api.service.ManagerDictService" id="managerDictService"/>
	<dubbo:reference interface="com.gic.wechat.api.service.qywx.QywxSuiteApiService" id="qywxSuiteApiService"/>
	<dubbo:reference interface="com.gic.wechat.api.service.qywx.QywxUserApiService" id="qywxUserApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.WxApplicationApiService" id="wxApplicationApiService"/>

	<dubbo:reference interface="com.gic.haoban.manage.api.service.ApplicationSettingApiService"
					 id="applicationSettingApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.AuditApiService" id="auditApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.AuditSettingApiService" id="auditSettingApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.DictApiService" id="dictApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.HelpApiService" id="helpApiService"/>

	<dubbo:reference interface="com.gic.haoban.manage.api.service.MaterialApiService" id="materialApiService"/>

	<dubbo:reference interface="com.gic.haoban.manage.api.service.MemberUnionidRelatedApiService"
					 id="memberUnionidRelatedApiService"/>

	<dubbo:reference interface="com.gic.wechat.token.api.service.QywxTokenManageService" id="qywxTokenManageService"/>

	<dubbo:reference interface="com.gic.haoban.manage.api.service.DealSyncOperationApiService"
					 id="dealSyncOperationApiService"/>

	<dubbo:reference id="quartzService" interface="com.gic.quartz.api.service.QuartzService" timeout="10000"/>
	<dubbo:reference id="testApiService" interface="com.gic.haoban.manage.api.service.TestApiService" timeout="10000"/>

	<dubbo:reference id="applicationTemplateApiService"
					 interface="com.gic.haoban.manage.api.service.ApplicationTemplateApiService" timeout="10000"/>

	<dubbo:reference interface="com.gic.cloud.web.service.api.service.CloudStoreGroupService"
					 id="cloudStoreGroupService" timeout="10000" retries="0"/>
	<dubbo:reference id="maidianDataService" interface="com.gic.cloud.data.api.service.MaidianDataService"
					 timeout="10000" retries="0" check="false"/>

	<dubbo:reference id="maidianLogApiService" interface="com.gic.haoban.manage.api.service.MaidianLogApiService"
					 timeout="10000" retries="0" check="false"/>
	<dubbo:reference id="authorizeService" interface="com.gic.enterprise.api.service.AuthorizeService" timeout="10000"
					 retries="0" check="false"/>

	<dubbo:reference id="operationSettingApiServiceImpl"
					 interface="com.gic.haoban.manage.api.service.OperationSettingApiService" timeout="10000"
					 retries="0" check="false"/>

	<dubbo:reference id="externalClerkRelatedApiService"
					 interface="com.gic.haoban.manage.api.service.ExternalClerkRelatedApiService" timeout="10000"
					 retries="0" check="false"/>

	<dubbo:reference id="welcomeApiService"
					 interface="com.gic.haoban.manage.api.service.out.WelcomeApiService" timeout="10000"
					 retries="0" check="false"/>
	<dubbo:reference id="clerkMoveService"   interface="com.gic.clerk.api.service.ClerkMoveService" timeout="10000" retries="0" check="false" />
	<dubbo:reference id="storeWidgetService" interface="com.gic.enterprise.api.service.StoreWidgetService" timeout="10000" retries="0" check="false" />
	<dubbo:reference id="hmLinkApiService" interface="com.gic.haoban.manage.api.service.hm.HmLinkApiService" timeout="10000" retries="0" check="false" />

	<dubbo:reference id="hmGroupApiService" interface="com.gic.haoban.manage.api.service.hm.HmGroupApiService"
					 timeout="10000" retries="0" check="false" />
	<dubbo:reference id="hmPageTemplateApiService" interface="com.gic.haoban.manage.api.service.hm.HmPageApiService"
					 timeout="10000" retries="0" check="false" />
	<dubbo:reference id="hmWelcomeRelationApiService" interface="com.gic.haoban.manage.api.service.hm.HmWelcomeRelationApiService"
					 timeout="10000" retries="0" check="false" />
	<dubbo:reference id="hmQrcodeApiService" interface="com.gic.haoban.manage.api.service.hm.HmQrcodeApiService"
					 timeout="10000" retries="0" check="false" />

	<dubbo:reference id="hmClerkRelationApiService" interface="com.gic.haoban.manage.api.service.hm.HmClerkRelationApiService"
					 timeout="10000" retries="0" check="false" />

	<dubbo:reference id="mongoOperationService" interface="com.gic.dsmongo.api.service.MongoOperationService"
					 timeout="10000" retries="0" check="false"/>

	<dubbo:reference id="logSearchApiService" interface="com.gic.log.record.service.LogSearchApiService" timeout="10000" retries="0" check="false" />
	<dubbo:reference interface="com.gic.haoban.manage.api.service.fee.HaobanQywxFeeApiService" id="haobanQywxFeeApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.ValidationCodeApiService" id="validationCodeApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.role.HaobanRoleApiService" id="haobanRoleApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.role.HaobanMenuApiService" id="haobanMenuApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.out.SecretSettingApiService" id="secretSettingApiService"/>
	<dubbo:reference interface="com.gic.member.api.service.MemberService" id="memberService"/>
	<dubbo:reference interface="com.gic.search.engine.api.service.dynamic.ESDataDynamicOperationApiService" id="esApiService"/>
	<dubbo:reference interface="com.gic.marketing.api.service.MemberTagMarketingApiService" id="memberTagMarketingApiService"/>
	<dubbo:reference interface="com.gic.haoban.manage.api.service.licence.LicenceOrderApiService" id="licenceOrderApiService"/>
	<dubbo:reference id="pay4WXService" interface="com.gic.thirdparty.api.service.Pay4WXService" timeout="10000" retries="0" check="false"/>
	<dubbo:reference id="appOrderApiService" interface="com.gic.haoban.manage.api.service.licence.AppOrderApiService" timeout="10000" retries="0" check="false"/>

</beans>
